Library Version 18.1.40

DbEnv::mutex_get_increment()
Prev | Chapter 10. Mutex Methods | Next

## DbEnv::mutex_get_increment()

    #include <db_cxx.h>

    int
    DbEnv::mutex_get_increment(u_int32_t *incrementp);

The `DbEnv::mutex_get_increment()` method returns the number of additional mutexes to allocate.

The `DbEnv::mutex_get_increment()` method may be called at any time during the life of the application.

The `DbEnv::mutex_get_increment()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### incrementp

The `DbEnv::mutex_get_increment()` method returns the number of additional mutexes to allocate in incrementp.

### Class

DbEnv

### See Also

Mutex Methods

Prev | Up | Next
DbEnv::mutex_get_align() | Home | DbEnv::mutex_get_init()